Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::ComponentInstallation_Impl Class Reference

Servant implementation for Components::Deployment::ComponentInstallation. More...

`#include <ComponentInstallation_Impl.h>`

Collaboration diagram for CIAO::ComponentInstallation_Impl:

[legend]
List of all members.

## Public Member Functions
| ComponentInstallation_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p)
| Constructor.
virtual | ~ComponentInstallation_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)
int | init (const char *fname, const char *section ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Initialize the ComponentInstallation.
int | fini ()
| Initialize the ComponentInstallation.
virtual void | install (const char *implUUID, const char *component_loc ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::InvalidLocation, Components::Deployment::InstallationFailure)
| Components::Deployment::ComponentInstallation defined attributes/operations.
virtual void | replace (const char *implUUID, const char *component_loc ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::InvalidLocation, Components::Deployment::InstallationFailure)
virtual void | remove (const char *implUUID ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::RemoveFailure)
virtual char * | get_implementation (const char *implUUID ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::InstallationFailure)
## Protected Attributes
CORBA::ORB_var | orb_
| Keep a pointer to the managing ORB serving this servant.
PortableServer::POA_var | poa_
| Keep a pointer to the managing POA.
CORBA::String_var | filename_
| Persistent store filename for storing the configuration info.
CORBA::String_var | section_name_
| Section name in Configuration.
ACE_Configuration * | installation_
| Mapping and persistent.

## Detailed Description

Servant implementation for Components::Deployment::ComponentInstallation.

This class implements the Components::Deployment::ComponentInstallation interface as defined by the CCM spcification. As the interface implies, this is actually part of the deployment interface and is used to manage the lifecycle of containers running on the server.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::ComponentInstallation_Impl::ComponentInstallation_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p
| ) |

| Constructor.

CIAO::ComponentInstallation_Impl::~ComponentInstallation_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::ComponentInstallation_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

int CIAO::ComponentInstallation_Impl::fini | ( |  | ) |

| Initialize the ComponentInstallation.

char * CIAO::ComponentInstallation_Impl::get_implementation | ( | const char *implUUID | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::InstallationFailure)`[virtual]`

int CIAO::ComponentInstallation_Impl::init | ( | const char * | fname,
|  | const char *section | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)

| Initialize the ComponentInstallation.

void CIAO::ComponentInstallation_Impl::install | ( | const char * | implUUID,
|  | const char *component_loc | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Components::Deployment::InvalidLocation, Components::Deployment::InstallationFailure)`[virtual]`

| Components::Deployment::ComponentInstallation defined attributes/operations.

void CIAO::ComponentInstallation_Impl::remove | ( | const char *implUUID | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::RemoveFailure)`[virtual]`

void CIAO::ComponentInstallation_Impl::replace | ( | const char * | implUUID,
|  | const char *component_loc | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Components::Deployment::InvalidLocation, Components::Deployment::InstallationFailure)`[virtual]`

## Member Data Documentation

CORBA::String_var CIAO::ComponentInstallation_Impl::filename_`[protected]`

| Persistent store filename for storing the configuration info.

ACE_Configuration* CIAO::ComponentInstallation_Impl::installation_`[protected]`

| Mapping and persistent.

CORBA::ORB_var CIAO::ComponentInstallation_Impl::orb_`[protected]`

| Keep a pointer to the managing ORB serving this servant.

PortableServer::POA_var CIAO::ComponentInstallation_Impl::poa_`[protected]`

| Keep a pointer to the managing POA.

CORBA::String_var CIAO::ComponentInstallation_Impl::section_name_`[protected]`

| Section name in Configuration.

The documentation for this class was generated from the following files:

- ComponentInstallation_Impl.h
- ComponentInstallation_Impl.cpp
- ComponentInstallation_Impl.inl